Home

# Class goog.structs.InversionMap

Maps ranges to values using goog.structs.Inversion.

Instance Method Summary
| `at(number intKey) ⇒ <Any Type>` Gets the value corresponding to a number from the inversion map.
| `getLeast(number intKey) ⇒ number` Gets the largest index such that rangeArray[index] <= intKey from the inversion map.
| `spliceInversion(?Array.<number> rangeArray, ?Array.<*> valueArray, boolean= opt_delta)` Splices a range -> value map into this inversion map.
| `storeInversion_(?Array.<(null|number)> rangeArray, boolean= opt_delta)` Stores the integers as ranges (half-open). If delta is true, the integers are delta from the previous value and will be restored to the absolute value. When used as a set, even indices are IN, and odd are OUT.